/**
 * create by robot
 * date Thu Sep 12 16:16:36 CST 2019
 */

var pageIndex = 1;
$(document).ready(function () {
    //调用查询
    pageIndex = StringUtil.getQueryString('pageIndex');
    if (pageIndex == undefined || pageIndex == null) {
        pageIndex = 1;
    }
    queryActivityActivate(pageIndex);
    //绑定hover操作
    $(document).on('mouseenter', '.listOperaters', function () {
        $(this).children(".ops_itemDiv").show();
        var width = 15;
        $(this).children('div').find('li').each(function () {
            //获取li宽度
            width += $(this).width();
        });
        $(this).children('div').width(width);
    })
    $(document).on('mouseleave', '.listOperaters', function () {
        $(this).children(".ops_itemDiv").hide();
    });

    //日历控件
    layui.use(['layer', 'laydate'], function () {
        var layer = layui.layer;
        laydate = layui.laydate;
        laydate.render({
            elem: '#date1' //指定元素
        });
        laydate.render({
            elem: '#date2' //指定元素
        });
    });


    //行选中事件
    $("#allCheck").find("span").click(function () {
        $(this).toggleClass('checked');
        if ($(this).hasClass('checked')) {
            //所有列选中
            $(".checker").find("span").each(function () {
                $(this).addClass("checked");
            })
        } else {
            //所有列取消选中
            $(".checker").find("span").each(function () {
                $(this).removeClass("checked");
            })
        }
    });

    //单个选中
    $(document).on('click', '.checkeBox span', function () {
        $(this).toggleClass('checked');
        //设置头部事件
        var length = $('.checkeBox span').length;
        var count = 0;
        $(".checkeBox").find("span").each(function () {
            if ($(this).hasClass("checked")) {
                count++;
            }
        })
        //全选
        if (count == length) {
            $("#allCheck").find("span").addClass('checked');
        } else {
            $("#allCheck").find("span").removeClass('checked');
        }
    })
    //左右div高度相等
    var left_content_height = $(".right-content").height();
    $(".left-content").height(left_content_height + 35);
    var sub_left_height = $(".res-menu").height(left_content_height - 60);
});

//查询
function queryActivityActivate(index) {
    if (typeof (index) == 'undefined') {
        index = 1;
    }
    var url = ctx + '/activityActivate/queryActivityActivateByPage';
    $.ajax({
        url: url,
        type: "post",
        dataType: "json",
        data: {
            "currPage": index,
            "name": $("#name").val(),
        },
        success: function (result) {
            //渲染数据
            $('#data_content').empty();
            var header = '';
            $.each(result.activityActivateList, function (i) {
                var activityActivate = result.activityActivateList[i];
                var data = '';
                data += '<tr class="odd">';
                data += '<td class="textc">';
                data += '		 <div class="checker checkeBox">';
                data += '		 <span class=""  data-id="' + activityActivate.id + '"><input type="checkbox"  value=""></span>';
                data += '		</div>';
                data += '</td>';
                data += '<td class="textc">' + activityActivate.id + '</td>';
                data += '<td class="textc">' + activityActivate.name + '</td>';
                data += '<td class="textc">' + activityActivate.giveMoney.toFixed(2) + '</td>';
                var merchantName = '';
                if (StringUtil.isNotBlank(activityActivate.merchantName)) {
                    merchantName = activityActivate.merchantName;
                }
                data += '<td class="textc">' + merchantName + '</td>';
                var storeName = '';
                if (StringUtil.isNotBlank(activityActivate.storeName)) {
                    storeName = activityActivate.storeName;
                }
                data += '<td class="textc">' + storeName + '</td>';
                var createDt = '';
                if (StringUtil.isNotBlank(activityActivate.createDt)) {
                    createDt = dateFtt("yyyy-MM-dd hh:mm:ss", new Date(activityActivate.createDt));
                }
                data += '<td class="textc">' + createDt + '</td>';
                data += '<td class="textc">';
                //管理员或商户能进行的操作
                if (result.admin == 'admin' || result.userType == 'merchant') {
					data += '<div class="positionr listOperaters">';
					data += '		<a href="javascript:void(0);"  class="icon-large dlblock w16 h16"><img src="' + resourcePath + '/images/angle-down.png"/></a>';
					data += '		<div class="ops_box ops_itemDiv positiona clearfix whitebg">';
					data += '			<ul>';
					data += '				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="otherActivityActivateDetails(' + activityActivate.id + ')" class="layui-btn layui-btn-sm layui-btn-radius fa fa-detail ops_more f12">详情</a></li>';
					data += '			</ul>';
					data += '		</div>';
					data += '</div>';
                    //其它用户能进行的操作
                } else {
					data += '<div class="positionr listOperaters">';
					data += '		<a href="javascript:void(0);"  class="icon-large dlblock w16 h16"><img src="' + resourcePath + '/images/angle-down.png"/></a>';
					data += '		<div class="ops_box ops_itemDiv positiona clearfix whitebg">';
					data += '			<ul>';
					data += '				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="showActivityActivateDetails(' + activityActivate.id + ')" class="layui-btn layui-btn-sm layui-btn-radius fa fa-edit ops_more f12">编辑</a></li>';
					data += '				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="initDeleteActivityActivate(' + activityActivate.id + ')" class="layui-btn layui-btn-sm layui-btn-radius layui-btn-danger fa fa-remove ops_more f12">删除</a></li>';
					data += '			</ul>';
					data += '		</div>';
					data += '</div>';
                }
                data += '</td>';
                data += '</tr>';
                $('#data_content').append(data);
            });
            //分页
            $('#pageCount').html(result.pageCount);
            $('#currPage').html(result.currPage);
            $('#totalCount').html(result.count);
            //设置分页
            pageIndex = result.currPage;
            $('#pagination').pagination({
                pageCount: result.pageCount,
                jump: true,
                coping: true,
                jump: true,
                homePage: '首页',
                endPage: '末页',
                prevContent: '上页',
                nextContent: '下页',
                current: result.currPage,
                callback: function (api) {
                    pageIndex = api.getCurrent();
                    queryActivityActivate(api.getCurrent());
                }
            });
        }
    });
    //表头列不选中
    $("#allCheck").find("span").removeClass('checked');
}

//初始化新增
function initAddActivityActivate() {
    window.location = ctx + '/activityActivate/queryActivityActivateDetails?pageIndex=' + pageIndex;
}

//初始化修改
function showActivityActivateDetails(id) {
    window.location = ctx + '/activityActivate/queryActivityActivateDetails?id=' + id + '&pageIndex=' + pageIndex;
}

//初始化删除
function initDeleteActivityActivate(id) {

    layer.open({
        type: 1,
        closeBtn: 1, title: '提示',
        offset: 'm', //具体配置参考：offset参数项
        area: ['300px', '180px'],
        content: '<div style="padding:10px;" class="textc mt20">确认删除吗？</div>',
        btn: ['确认', '取消'],
        btnAlign: 'r', //按钮居中
        shade: 0.3,//不显示遮罩
        yes: function () {
            layer.closeAll();
            deleteActivityActivate(id, true);
        }
    });
}

//删除
function deleteActivityActivate(id, showMsg) {
    $.ajax({
        url: ctx + '/activityActivate/deleteActivityActivate',
        data: [{
            name: 'id',
            value: id
        }],
        type: 'POST',
        dataType: 'json',
        success: function () {
            queryActivityActivate(pageIndex);
            if (showMsg) {
                layer.msg('删除成功!');
            }
        }
    });
}

//头部编辑
function initEditActivityActivate() {
    var count = 0;
    var id = 0;
    $(".checkeBox").find("span").each(function () {
        if ($(this).hasClass("checked")) {
            count++;
            id = $(this).data('id');
        }
    })
    if (count > 1) {
        layer.msg('只能选中一行记录进行操作!');
        return;
    }
    if (count == 0) {
        layer.msg('请选中一行记录!');
        return;
    }
    if (id > 0) {
        showActivityActivateDetails(id);
    }
}

//头部删除
function initBatchDeleteActivityActivate() {
    var count = 0;
    $(".checkeBox").find("span").each(function () {
        if ($(this).hasClass("checked")) {
            count++;
        }
    })

    if (count == 0) {
        layer.msg('请选中一行记录!');
        return;
    }


    layer.open({
        type: 1,
        closeBtn: 1,
        title: '提示',
        offset: 'm', //具体配置参考：offset参数项
        area: ['300px', '180px'],
        content: '<div style="padding:10px;" class="textc mt20">确认删除吗？</div>',
        btn: ['确认', '取消'],
        btnAlign: 'r', //按钮居中
        shade: 0.3, //不显示遮罩
        yes: function () {
            layer.closeAll();
            deleteBatchActivityActivate();
        }
    });

}

//批量删除
function deleteBatchActivityActivate() {

    $(".checkeBox").find("span").each(function () {
        if ($(this).hasClass("checked")) {
            var id = $(this).data('id');
            deleteActivityActivate(id, false);
            layer.msg('删除成功!');
        }
    })
}

//其它用户查看详情
function otherActivityActivateDetails(id) {
    window.location = ctx + '/activityActivate/otherActivityActivateDetails?id=' + id + '&pageIndex=' + pageIndex;
}

//时间格式化处理
function dateFtt(fmt, date) { //author: meizz
    var o = {
        "M+": date.getMonth() + 1,                 //月份
        "d+": date.getDate(),                    //日
        "h+": date.getHours(),                   //小时
        "m+": date.getMinutes(),                 //分
        "s+": date.getSeconds(),                 //秒
        "q+": Math.floor((date.getMonth() + 3) / 3), //季度
        "S": date.getMilliseconds()             //毫秒
    };
    if (/(y+)/.test(fmt))
        fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt))
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}